const PluginManager = window.PluginManager;
 
import BcAquaStickyHeader from './js/plugin/header/bc-sticky-header.plugin.js';
import BcAquaSwitchListing from './js/plugin/listing/bc-switch-listing.plugin.js';
import BcAquaNewsLetterForm from './js/plugin/newsletter/bc-newsletter-form.plugin.js';
import BcAquaOffCanvas from './js/plugin/offcanvas/bc-offcanvas.plugin.js';
import BcAquaHeader from './js/plugin/header/bc-header.plugin.js';
import BcAquaBrandSlider from './js/plugin/element/bc-brand-slider.plugin.js';
import BcAquaCategoryBoxes from './js/plugin/element/bc-category-boxes.plugin.js';
import BcContactUsPlugin from './js/plugin/element/bc-contact-us.plugin.js';
import BcAquaInstagramWidget from './js/plugin/element/bc-instagram-widget.plugin.js';

PluginManager.register('BcAquaStickyHeader', BcAquaStickyHeader, '[data-bc-header-sticky]');
PluginManager.register('BcAquaSwitchListing', BcAquaSwitchListing, '#listing-style-form');
PluginManager.register('BcAquaNewsLetterForm', BcAquaNewsLetterForm, '[data-bc-aqua-newsletter="true"]');
PluginManager.register('BcAquaOffCanvas', BcAquaOffCanvas, '.offcanvas-header');
PluginManager.register('BcAquaHeader', BcAquaHeader, '.header-main');
PluginManager.register('BcAquaBrandSlider', BcAquaBrandSlider, '[data-bc-aqua-brand-slider="true"]');
PluginManager.register('BcAquaCategoryBoxes', BcAquaCategoryBoxes, '[data-bc-aqua-category-boxes="true"]');
PluginManager.register('BcContactUsPlugin', BcContactUsPlugin, '[data-bc-contact-us]');
PluginManager.register('BcAquaInstagramWidget', BcAquaInstagramWidget, '[data-bc-instagram-widget]');

PluginManager.override('ListingPagination', () => import('./js/plugin/listing/listing-pagination.plugin.js'), '[data-listing-pagination]');